XFcPrimitiveDrawIndexedPrimitive class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawIndexedPrimitive Class Reference

Defines a indexed primitive. More...

Collaboration diagram for XFcPrimitiveDrawIndexedPrimitive:

[legend]
List of all members.

## Public Member Functions

XFCIMPORT | ~XFcPrimitiveDrawIndexedPrimitive ()
| Destructor.

## Static Public Member Functions

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive * | create (INT32 aIndexTableSize)
| Creates XFcPrimitiveDrawIndexedPrimitive with given table size.
XFCIMPORT XFcPrimitiveDrawIndexedPrimitive * | create (REAL *aIndexTable, INT32 aIndexTableSize, INT32 aXPosition, INT32 aYPosition, REAL aXScale, INT32 aEdgeType)
| Creates XFcPrimitiveDrawIndexedPrimitive from an array of indexes.
XFCIMPORT XFcPrimitiveDrawIndexedPrimitive * | createHalfCircle (INT32 aXPos, INT32 aYPos, INT32 aRadius, REAL aXScale, REAL aXSkewStep, INT32 aEdgeType, INT32 aYMin, INT32 aYMax)
| Creates XFcPrimitiveDrawIndexedPrimitive that defines the right half of a circle.

## Public Attributes

REAL * | mIndexTable
| Table of indicies.
REAL | mXScale
| Horizontal scale.
REAL | mXPosition
| X position.
REAL | mYPosition
| Y position.
INT32 | mIndexCount
| Count of indicies.
INT | mTableIsClone
| Flag that is set if the table is not owned by the primitive.
INT32 | mEdgeType
| Type of the edge (on/off).

## Protected Member Functions

XFCIMPORT | XFcPrimitiveDrawIndexedPrimitive ()
| Protected constructor.

## Detailed Description

Defines a indexed primitive.

Indexed primitives are drawing primitives that are defined by an array of horizontal coordinates. They can be used for drawing various arbitary shapes, a circle for instance consists of two indexed primitives, one defining the right edge and other the left edge.

## Constructor & Destructor Documentation

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive::~XFcPrimitiveDrawIndexedPrimitive | ( |  | ) |

| Destructor.

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive::XFcPrimitiveDrawIndexedPrimitive | ( |  | ) | `[protected]`

| Protected constructor.

## Member Function Documentation

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive* XFcPrimitiveDrawIndexedPrimitive::create | ( | REAL * | aIndexTable,
|  | INT32 | aIndexTableSize,
|  | INT32 | aXPosition,
|  | INT32 | aYPosition,
|  | REAL | aXScale,
|  | INT32 | aEdgeType
| ) | `[static]`

Creates XFcPrimitiveDrawIndexedPrimitive from an array of indexes.

Parameters:

  aIndexTable | Pointer to indicies.
  aIndexTableSize | Amount of indicies.
  aXPosition | Horizontal position of the primitive.
  aYPosition | Vertical position of the primitive.
  aXScale | Horizontal scale of the primitive
  aEdgeType | Type of the edge. (XFC_PRIMITIVE_LEFT or XFC_PRIMITVE_RIGHT)

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive* XFcPrimitiveDrawIndexedPrimitive::create | ( | INT32 | aIndexTableSize | ) | `[static]`

| Creates XFcPrimitiveDrawIndexedPrimitive with given table size.

XFCIMPORT XFcPrimitiveDrawIndexedPrimitive* XFcPrimitiveDrawIndexedPrimitive::createHalfCircle | ( | INT32 | aXPos,
|  | INT32 | aYPos,
|  | INT32 | aRadius,
|  | REAL | aXScale,
|  | REAL | aXSkewStep,
|  | INT32 | aEdgeType,
|  | INT32 | aYMin,
|  | INT32 | aYMax
| ) | `[static]`

Creates XFcPrimitiveDrawIndexedPrimitive that defines the right half of a circle.

Parameters:

  aXPos | X position of the center of the circle.
  aYPos | Y position of the center of the circle.
  aRadius | Radius of the circle.
  aXScale | Horizontal scale of the circle.
  aXSkewStep | Horizontal skew step per scanline of the circle.
  aEdgeType | Type of the edge. (XFC_PRIMITIVE_LEFT or XFC_PRIMITVE_RIGHT)
  aYMin | Minimum Y coordinate of the rendering area.
  aYMax | Maximum Y coordinate of the rendering area.

## Member Data Documentation

INT32 XFcPrimitiveDrawIndexedPrimitive::mEdgeType

| Type of the edge (on/off).

INT32 XFcPrimitiveDrawIndexedPrimitive::mIndexCount

| Count of indicies.

REAL* XFcPrimitiveDrawIndexedPrimitive::mIndexTable

| Table of indicies.

INT XFcPrimitiveDrawIndexedPrimitive::mTableIsClone

| Flag that is set if the table is not owned by the primitive.

REAL XFcPrimitiveDrawIndexedPrimitive::mXPosition

| X position.

REAL XFcPrimitiveDrawIndexedPrimitive::mXScale

| Horizontal scale.

REAL XFcPrimitiveDrawIndexedPrimitive::mYPosition

| Y position.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch